> ## Documentation Index
> Fetch the complete documentation index at: https://microstrate-1133-notifications-prefs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all mappings

> Retrieves a list of all available gateway mappings.



## OpenAPI

````yaml /api-reference/endpoint/gateway/openapi.json get /gateway/mapping/all
openapi: 3.0.3
info:
  title: quiva.ai Gateway
  description: >-
    quiva.ai Gateway API for managing gateway infrastructure and routing API
    requests.
  version: 1.0.0
  contact:
    name: quiva.ai Support
    email: support@quiva.ai
servers:
  - url: https://api.quiva.ai
    description: Production API server
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Gateways
    description: Gateway management endpoints
  - name: Mappings
    description: Gateway Mapping management endpoints
  - name: Mapping Versions
    description: Gateway Mapping Version management endpoints
paths:
  /gateway/mapping/all:
    get:
      tags:
        - Mappings
      summary: Get all mappings
      description: Retrieves a list of all available gateway mappings.
      operationId: getAllGatewayMappings
      responses:
        '200':
          description: List of mappings retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MappingListResponseWrapper'
              example:
                body:
                  results:
                    - subject: ms.gateway.abc123.mapping.get.api.users
                      path: /api/users
                      method: GET
                      is_public: true
                      timeout: 30000
                      limit:
                        request: 5000
                        time: 1000
                      traffic_distribution: {}
                      modified: 1713531894
                      type: created
                    - subject: ms.gateway.def456.mapping.post.api.products
                      path: /api/products
                      method: POST
                      is_public: true
                      timeout: 30000
                      limit:
                        request: 5000
                        time: 1000
                      traffic_distribution: {}
                      modified: 1713532000
                      type: created
                  results_total: 2
                metadata:
                  subject: gateway.*.mapping.>
        '400':
          $ref: '#/components/responses/BadRequest'
components:
  schemas:
    MappingListResponseWrapper:
      type: object
      properties:
        body:
          $ref: '#/components/schemas/MappingListResult'
        metadata:
          $ref: '#/components/schemas/Metadata'
    MappingListResult:
      type: object
      properties:
        results:
          type: array
          description: List of mappings
          items:
            $ref: '#/components/schemas/MappingResponse'
        results_total:
          type: integer
          description: Total number of mappings returned
          example: 2
    Metadata:
      type: object
      properties:
        subject:
          type: string
          description: Subject identifier for the resource
          example: ms.gateway.abcdef123456.gateway
    MappingResponse:
      type: object
      properties:
        subject:
          type: string
          description: Subject identifier of the mapping
          example: ms.gateway.abcdef123456.mapping.get.api.users
        path:
          type: string
          description: URL path for the mapping
          example: /api/users
        method:
          type: string
          description: HTTP method for the mapping
          example: GET
        is_public:
          type: boolean
          description: Whether the mapping is publicly accessible
          example: true
        limit:
          $ref: '#/components/schemas/Limit'
        timeout:
          type: integer
          description: Timeout in milliseconds for mapping requests
          example: 30000
        traffic_distribution:
          type: object
          description: Traffic distribution configuration for A/B testing
          additionalProperties:
            type: integer
          example:
            '1': 100
        modified:
          type: integer
          description: Unix timestamp of when the mapping was last modified
          example: 1713531894
        type:
          type: string
          description: Type of the mapping record
          example: created
    Limit:
      type: object
      properties:
        request:
          type: integer
          description: Maximum number of requests allowed
          default: 10000
          example: 5000
        time:
          type: integer
          description: Time window for rate limiting in milliseconds
          default: 1000
          example: 1000
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Invalid request parameters
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-Api-Key

````